*ANALISE DE ITENS USANDO MODELO DE MEDIO CLASSICA
***************************************************
*Prof. Jorge Luis Bazn


** Chama os dados politomicos

GET
  FILE='C:\Users\Jorge Luis\Dropbox\Eventos\SBPC\Dia2\baseunionoriginal.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.

*Calcula o analise de items

DATASET ACTIVATE DataSet1.
RELIABILITY
  /VARIABLES=pre1 pre2 pre3 pre4 pre5 pre6 pre7 pre8 pre9 pre10 pre11 pre12 pre13 pre14 pre15 pre16 
    pre17 pre18 pre19 pre20 pre21 pre22 pre23 pre24 pre25
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /SUMMARY=TOTAL.

*Organiza os proximos resultados segundo Pais

SORT CASES  BY pais$.
SPLIT FILE SEPARATE BY pais$.

* Calcula novamente a Analise de items por pais

DATASET ACTIVATE DataSet1.
RELIABILITY
  /VARIABLES=pre1 pre2 pre3 pre4 pre5 pre6 pre7 pre8 pre9 pre10 pre11 pre12 pre13 pre14 pre15 pre16 
    pre17 pre18 pre19 pre20 pre21 pre22 pre23 pre24 pre25
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /SUMMARY=TOTAL.

* Conclue os reportes por pais

SPLIT FILE OFF.

* Salva as resultados
 
OUTPUT SAVE NAME=Document1
 OUTFILE='C:\Users\Jorge Luis\Dropbox\Eventos\SBPC\Dia2\AnaliseitemsAtitudes.spv'
 LOCK=NO.

* Exporta os resultados em Word


* Export Output.
OUTPUT EXPORT
  /CONTENTS  EXPORT=ALL  LAYERS=PRINTSETTING  MODELVIEWS=PRINTSETTING
  /DOC  DOCUMENTFILE='C:\Users\Jorge Luis\Dropbox\Eventos\SBPC\Dia2\AnalisedeItemsAtitudes.doc'
     NOTESCAPTIONS=YES  WIDETABLES=WRAP
     PAGESIZE=INCHES(8.266535433070866, 11.69015748031496)  TOPMARGIN=INCHES(1.0)  
    BOTTOMMARGIN=INCHES(1.0)
     LEFTMARGIN=INCHES(1.0)  RIGHTMARGIN=INCHES(0.9999999999999991).




