###############################################################################################
#  CLASSICAL ITEM ANALYSIS: CASO POLYTOMOUS                                                   #
#                                                                                             #
# Data contain 146 respondent to 25 items of Attitudes toward Statistics Test applied in      #
# teacher-scholar from Spaind and Peru.                                                       #
# Data are described in Estrada, A., Bazn, J. and Aparici, A. (2010). Un estudio comparativo # 
# de las actitudes hacia la estadstica en profesores espaoles y peruanos. Unin, 24, 45-56. #                                 #                            #
###############################################################################################



#ANALISE DE ITENS USANDO MODELO DE MEDIO CLASSICA
####################################################
Prof. Jorge Luis Bazn


require(foreign)
pasta="C:\\Users\\Jorge Luis\\Dropbox\\Eventos\\SBPC\\Dia2"


#analise de items politomicos
###############################


atitudes=read.spss("baseunionoriginal.sav")
a=data.frame(atitudes)
atitudesitems=a[,4:25]
alpha(atitudesitems)

#analises de items por paises
atitudesP=subset(a,pais.=="Per")
atitudesP
atitudesitemsP=atitudesP[,4:25]
alpha(atitudesitemsP)

atitudesE=subset(a,pais.=="Espaa")
atitudesE
atitudesitemsE=atitudesE[,4:25]
alpha(atitudesitemsE)



#Para manipulacao de dados no R
#http://ecologia.ib.usp.br/bie5782/doku.php?id=bie5782:03_apostila:04-dados

#http://www.filewatcher.com/m/RSrv135.exe.2796468-0.html